/*	FFT Visual plugin specs
	Joseph Wang <joe@timewarp.net>
	12.9.99
	*/

#ifndef _FFT_VISUAL_PLUGIN_PROTO_H
#define _FFT_VISUAL_PLUGIN_PROTO_H

#include "pluginproto.h"

typedef enum {
	MINI_SCREEN_1,
	MINI_SCREEN_4,
	MINI_SCREEN_16,
	MINI_SCREEN_64
	} mini_screen;

typedef	status_t op_fft_visual_init(void *, void *window_buffer, void *info);
typedef	status_t op_fft_visual_screen_modified(void *, BRect, color_space, mini_screen, int32);
typedef	status_t op_fft_visual_independant(void*, const short *raw, const short *fft, int32 framecount, void *info);
typedef	status_t op_fft_visual_dependant(void*, void *window_buffer, const short *raw, const short *fft, int32 framecount, void *info);
typedef status_t op_fft_visual_message(BMessage *);

typedef struct fft_visual_plugin_ops {
	//Filter op is unused
	filter_plugin_ops					main_ops;
	op_fft_visual_message				(*MessageReceived);
	op_fft_visual_screen_modified		(*ScreenModified);
	op_fft_visual_init					(*Init);
	op_fft_visual_independant			(*Independant);
	op_fft_visual_dependant				(*Dependant);
	} fft_visual_plugin_ops;


#endif
